| Version: 3.1.5

Public Member Functions | Friends | List of all members
wxPGValidationInfo Class Reference

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/propgrid/propgrid.h>`

## Detailed Description

Used to convey validation information to and from functions that actually perform validation.

Mostly used in custom property classes.

## Public Member Functions
wxPGVFBFlags | GetFailureBehavior ()
const wxString & | GetFailureMessage () const
| Returns current failure message. More...
wxVariant & | GetValue ()
| Returns reference to pending value. More...
void | SetFailureBehavior (wxPGVFBFlags failureBehavior)
| Set validation failure behaviour. More...
void | SetFailureMessage (const wxString &message)
| Set current failure message. More...

## Friends
class | wxPropertyGrid

## Member Function Documentation

## ◆ GetFailureBehavior()

wxPGVFBFlags wxPGValidationInfo::GetFailureBehavior | ( |  | ) |

Returns
  Returns failure behaviour which is a combination of wxPropertyGrid Validation Failure behaviour Flags.

## ◆ GetFailureMessage()

const wxString & wxPGValidationInfo::GetFailureMessage | ( |  | ) | const

Returns current failure message.

## ◆ GetValue()

wxVariant & wxPGValidationInfo::GetValue | ( |  | ) |

Returns reference to pending value.

## ◆ SetFailureBehavior()

void wxPGValidationInfo::SetFailureBehavior | ( | wxPGVFBFlags | failureBehavior | ) |

Set validation failure behaviour.

Parameters

  failureBehavior | Mixture of wxPropertyGrid Validation Failure behaviour Flags.

## ◆ SetFailureMessage()

void wxPGValidationInfo::SetFailureMessage | ( | const wxString & | message | ) |

Set current failure message.

## Friends And Related Function Documentation

## ◆ wxPropertyGrid

friend class wxPropertyGrid
| friend